[med-svn] [Git][med-team/bio-vcf][master] 8 commits: Drop d/install, let ruby buildsystem handle it

Nilesh Patra (@nilesh) gitlab at salsa.debian.org
Sat Sep 25 16:39:05 BST 2021



Nilesh Patra pushed to branch master at Debian Med / bio-vcf


Commits:
2eb3fb27 by Nilesh Patra at 2021-09-25T20:40:38+05:30
Drop d/install, let ruby buildsystem handle it

- - - - -
4de17abf by Nilesh Patra at 2021-09-25T20:48:36+05:30
d/control: Drop Depends on ruby | ruby-interpreter, use ${ruby:Depends} instead

- - - - -
789df8ab by Nilesh Patra at 2021-09-25T20:49:00+05:30
Add d/ruby-tests.rake

- - - - -
e7565967 by Nilesh Patra at 2021-09-25T20:51:57+05:30
Drop d/patches, they are un-needed

- - - - -
a8dd643b by Nilesh Patra at 2021-09-25T20:58:40+05:30
d/control: Use github as homepage instead of rubygems

- - - - -
2dd7f26b by Nilesh Patra at 2021-09-25T20:58:40+05:30
Add manitainer manpage

- - - - -
4f74e04d by Nilesh Patra at 2021-09-25T20:58:40+05:30
d/control: Add myself to uploaders

- - - - -
e26861e5 by Nilesh Patra at 2021-09-25T20:58:40+05:30
Upload to unstable

- - - - -


10 changed files:

- debian/bio-vcf.1
- debian/changelog
- debian/control
- debian/createmanpages
- − debian/install
- + debian/manpages
- − debian/patches/series
- − debian/patches/version.patch
- + debian/ruby-tests.rake
- debian/rules


Changes:

=====================================
debian/bio-vcf.1
=====================================
@@ -1,13 +1,12 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.47.16.
-.TH BIO-VCF "1" "January 2021" "bio-vcf 0.9.5" "User Commands"
+.TH BIO-VCF "1" "September 2021" "bio-vcf 0.9.5" "User Commands"
 .SH NAME
 bio-vcf \- domain specific language (DSL) for processing the VCF format
 .SH SYNOPSIS
 .B bio-vcf
 [\fI\,options\/\fR] \fI\,filename\/\fR
 .SH DESCRIPTION
-\fI\,/usr/lib/ruby/vendor_ruby/rubygems/defaults/operating_system\/\fP.rb:10: warning: constant Gem::ConfigMap is deprecated
-bio\-vcf 0.9.5 (biogem Ruby 2.7.1 with pcows) by Pjotr Prins 2015\-2020
+bio\-vcf 0.9.5 (biogem Ruby 2.7.2 with pcows) by Pjotr Prins 2015\-2020
 .PP
 e.g.  bio\-vcf < test/data/input/somaticsniper.vcf
 .TP


=====================================
debian/changelog
=====================================
@@ -1,9 +1,21 @@
-bio-vcf (0.9.5-3) UNRELEASED; urgency=medium
+bio-vcf (0.9.5-3) unstable; urgency=medium
 
+  [ Andreas Tille ]
   * Fix watchfile to detect new versions on github (routine-update)
   * Standards-Version: 4.6.0 (routine-update)
 
- -- Andreas Tille <tille at debian.org>  Sun, 22 Aug 2021 10:57:55 +0200
+  [ Nilesh Patra ]
+  * Drop d/install, let ruby buildsystem handle it
+  * d/control
+    - Drop Depends on ruby | ruby-interpreter use
+      ${ruby:Depends} instead
+    - Use github as homepage instead of rubygems
+    - Add myself to Uploaders
+  * Add d/ruby-tests.rake
+  * Drop d/patches, they are un-needed
+  * Add manitainer manpage
+
+ -- Nilesh Patra <nilesh at debian.org>  Sat, 25 Sep 2021 15:24:25 +0000
 
 bio-vcf (0.9.5-2) unstable; urgency=medium
 


=====================================
debian/control
=====================================
@@ -1,22 +1,24 @@
 Source: bio-vcf
 Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille at debian.org>
+Uploaders: Andreas Tille <tille at debian.org>, Nilesh Patra <nilesh at debian.org>
 Section: science
 Testsuite: autopkgtest-pkg-ruby
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               gem2deb
+               gem2deb (>= 1),
+               rake,
+               ruby
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/bio-vcf
 Vcs-Git: https://salsa.debian.org/med-team/bio-vcf.git
-Homepage: https://rubygems.org/gems/bio-vcf/
+Homepage: https://github.com/vcflib/bio-vcf
 XS-Ruby-Versions: all
 Rules-Requires-Root: no
 
 Package: bio-vcf
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby | ruby-interpreter,
+Depends: ${ruby:Depends},
          ${misc:Depends}
 Description: domain specific language (DSL) for processing the VCF format
  Bio-vcf provides a domain specific language (DSL) for processing the


=====================================
debian/createmanpages
=====================================
@@ -1,10 +1,35 @@
 #!/bin/sh
+
+set -e
+
+if [ ! -x /usr/bin/help2man ]; then
+    echo "E: Missing /usr/bin/help2man, please install it from the cognate package."
+    exit 1
+fi
+
+if [ ! -n "$NAME" ]; then
+    NAME=`grep "^Description:" debian/control | sed 's/^Description: *//' | head -n1`
+fi
+
+if [ ! -n "$VERSION" ]; then
+    VERSION=`dpkg-parsechangelog | awk '/^Version:/ {print $2}' | sed -e 's/^[0-9]*://' -e 's/-.*//' -e 's/[+~]dfsg$//'`
+fi
+
+if [ ! -n "$PROGNAME" ]; then
+    PROGNAME=`grep "^Package:" debian/control | sed 's/^Package: *//' | head -n1`
+fi
+
 MANDIR=debian
+
+HELPOPTION="--help"
+echo "PROGNAME: '$PROGNAME'"
+echo "NAME:     '$NAME'"
+echo "VERSION:  '$VERSION'"
+echo "MANDIR:   '$MANDIR'"
+echo "HELPOPTION: '$HELPOPTION'"
+
 mkdir -p $MANDIR
 
-VERSION=`dpkg-parsechangelog | awk '/^Version:/ {print $2}' | sed -e 's/^[0-9]*://' -e 's/-.*//' -e 's/[+~]dfsg$//'`
-NAME=`grep "^Description:" debian/control | sed 's/^Description: *//' | head -n1`
-PROGNAME=`grep "^Package:" debian/control | sed 's/^Package: *//' | head -n1`
 
 AUTHOR=".SH AUTHOR\n \
 This manpage was written by $DEBFULLNAME for the Debian distribution and\n \
@@ -14,7 +39,7 @@ can be used for any other usage of the program.\
 # If program name is different from package name or title should be
 # different from package short description change this here
 progname=${PROGNAME}
-help2man --no-info --no-discard-stderr --help-option="-h" \
+help2man --no-info --no-discard-stderr --help-option="$HELPOPTION" \
          --name="$NAME" \
             --version-string="$VERSION" ${progname} > $MANDIR/${progname}.1
 echo $AUTHOR >> $MANDIR/${progname}.1
@@ -22,8 +47,9 @@ echo $AUTHOR >> $MANDIR/${progname}.1
 echo "$MANDIR/*.1" > debian/manpages
 
 cat <<EOT
-Please enhance the help2man output.
+Please enhance the help2man output in '$MANDIR/${progname}.1'.
+To inspect it, try 'nroff -man $MANDIR/${progname}.1'.
+If very unhappy, try passing the HELPOPTION as an environment variable.
 The following web page might be helpful in doing so:
     http://liw.fi/manpages/
 EOT
-


=====================================
debian/install deleted
=====================================
@@ -1 +0,0 @@
-VERSION usr/share/bio-vcf


=====================================
debian/manpages
=====================================
@@ -0,0 +1 @@
+debian/*.1


=====================================
debian/patches/series deleted
=====================================
@@ -1 +0,0 @@
-version.patch


=====================================
debian/patches/version.patch deleted
=====================================
@@ -1,15 +0,0 @@
-Author: Andrius Merkys
-Last-Update: 2021-01-28 09:38:07 -0500
-Description: Find VERSION on Debian installation
-
---- a/bin/bio-vcf
-+++ b/bin/bio-vcf
-@@ -11,7 +11,7 @@
- gempath = File.dirname(File.dirname(__FILE__))
- $: << File.join(gempath,'lib')
- 
--VERSION_FILENAME=File.join(gempath,'VERSION')
-+VERSION_FILENAME='/usr/share/bio-vcf/VERSION'
- version = File.new(VERSION_FILENAME).read.chomp
- 
- require 'bio-vcf'


=====================================
debian/ruby-tests.rake
=====================================
@@ -0,0 +1,6 @@
+require 'gem2deb/rake/testtask'
+
+Gem2Deb::Rake::TestTask.new do |t|
+  t.libs = ['test']
+  t.test_files = FileList['test/**/*_test.rb'] + FileList['test/**/test_*.rb']
+end


=====================================
debian/rules
=====================================
@@ -1,15 +1,8 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
-#
-# Uncomment to ignore all test failures (but the tests will run anyway)
-#export DH_RUBY_IGNORE_TESTS=all
-#
-# Uncomment to ignore some test failures (but the tests will run anyway)..
-# Valid values:
-#export DH_RUBY_IGNORE_TESTS=ruby2.1 require-rubygems
-#
-# If you need to specify the .gemspec (eg there is more than one)
-#export DH_RUBY_GEMSPEC=gem.gemspec
+
+export GEM2DEB_TEST_RUNNER = --check-dependencies
+export DH_RUBY = --gem-install
 
 %:
 	dh $@ --buildsystem=ruby --with ruby



View it on GitLab: https://salsa.debian.org/med-team/bio-vcf/-/compare/9de45a5df75106a62ea127428dd38314e563fa62...e26861e54f8925e9f586f5243e28f9d042f616e1

-- 
View it on GitLab: https://salsa.debian.org/med-team/bio-vcf/-/compare/9de45a5df75106a62ea127428dd38314e563fa62...e26861e54f8925e9f586f5243e28f9d042f616e1
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20210925/c5d4fac9/attachment-0001.htm>


More information about the debian-med-commit mailing list